{
  config,
  lib,
  ...
}: let
  cfg = config.hive.bluetooth;
in {
  options = {
    hive.bluetooth.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Enable Bluetooth";
    };
  };

  config = lib.mkIf cfg.enable {
    # Enable Bluetooth
    hardware.bluetooth.enable = true;
  };
}
